PHPExcel_Reader

# Class: PHPExcel_Reader_Excel2007

Source Location: /PHPExcel/Reader/Excel2007.php

### Class Overview

PHPExcel_Reader_Excel2007

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_Reader_IReader

### Methods

- __construct
- canRead
- getIncludeCharts
- getLoadSheetsOnly
- getReadDataOnly
- getReadFilter
- listWorksheetInfo
- listWorksheetNames
- load
- setIncludeCharts
- setLoadAllSheets
- setLoadSheetsOnly
- setReadDataOnly
- setReadFilter
- _getFromZipArchive

### Class Details

[line 45]
PHPExcel_Reader_Excel2007

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 97]

`PHPExcel_Reader_Excel2007 __construct( )`

Create a new PHPExcel_Reader_Excel2007 instance

#### Tags:

access: | public

[ Top ]

### method canRead [line 231]

`boolean canRead( $pFilename, string $pFileName)`

Can the current PHPExcel_Reader_IReader read the file?

#### Tags:

throws: | Exception
access: | public

Implementation of:

PHPExcel_Reader_IReader::canRead()
  Can the current PHPExcel_Reader_IReader read the file?

#### Parameters:

string | $pFileName |
| $pFilename |

[ Top ]

### method getIncludeCharts [line 138]

`boolean getIncludeCharts( )`

Read charts in workbook? If this is true, then the Reader will include any charts that exist in the workbook.

Note that a ReadDataOnly value of false overrides, and charts won't be read regardless of the IncludeCharts value. If false (the default) it will ignore any charts defined in the workbook file.

#### Tags:

access: | public

[ Top ]

### method getLoadSheetsOnly [line 166]

`mixed getLoadSheetsOnly( )`

Get which sheets to load Returns either an array of worksheet names (the list of worksheets that should be loaded), or a null indicating that all worksheets in the workbook should be loaded.

#### Tags:

access: | public

[ Top ]

### method getReadDataOnly [line 110]

`boolean getReadDataOnly( )`

Read data only? If this is true, then the Reader will only read data values for cells, it will not read any formatting information.

If false (the default) it will read data and formatting.

#### Tags:

access: | public

[ Top ]

### method getReadFilter [line 207]

`PHPExcel_Reader_IReadFilter getReadFilter( )`

Read filter

#### Tags:

access: | public

[ Top ]

### method listWorksheetInfo [line 274]

`void listWorksheetInfo( string $pFilename)`

Return worksheet info (Name, Last Column Letter, Last Column Index, Total Rows, Total Columns)

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFilename |

[ Top ]

### method listWorksheetNames [line 444]

`void listWorksheetNames( string $pFilename)`

Reads names of the worksheets from a file, without parsing the whole file to a PHPExcel object

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFilename |

[ Top ]

### method load [line 483]

`void load( string $pFilename)`

Loads PHPExcel from file

#### Tags:

throws: | Exception
access: | public

Implementation of:

PHPExcel_Reader_IReader::load()
  Loads PHPExcel from file

#### Parameters:

string | $pFilename |

[ Top ]

### method setIncludeCharts [line 153]

`PHPExcel_Reader_Excel2007 setIncludeCharts( [boolean $pValue = FALSE])`

Set read charts in workbook Set to true, to advise the Reader to include any charts that exist in the workbook.

Note that a ReadDataOnly value of false overrides, and charts won't be read regardless of the IncludeCharts value. Set to false (the default) to discard charts.

#### Tags:

access: | public

#### Parameters:

boolean | $pValue |

[ Top ]

### method setLoadAllSheets [line 195]

`PHPExcel_Reader_Excel2007 setLoadAllSheets( )`

Set all sheets to load Tells the Reader to load all worksheets from the workbook.

#### Tags:

access: | public

[ Top ]

### method setLoadSheetsOnly [line 181]

`PHPExcel_Reader_Excel2007 setLoadSheetsOnly( [mixed $value = NULL])`

Set which sheets to load

#### Tags:

access: | public

#### Parameters:

mixed | $value | This should be either an array of worksheet names to be loaded, or a string containing a single worksheet name. If NULL, then it tells the Reader to read all worksheets in the workbook

[ Top ]

### method setReadDataOnly [line 124]

`PHPExcel_Reader_Excel2007 setReadDataOnly( [boolean $pValue = FALSE])`

Set read data only Set to true, to advise the Reader only to read data values for cells, and to ignore any formatting information.

Set to false (the default) to advise the Reader to read both data and formatting for cells.

#### Tags:

access: | public

#### Parameters:

boolean | $pValue |

[ Top ]

### method setReadFilter [line 218]

`PHPExcel_Reader_Excel2007 setReadFilter( PHPExcel_Reader_IReadFilter $pValue)`

Set read filter

#### Tags:

access: | public

#### Parameters:

PHPExcel_Reader_IReadFilter | $pValue |

[ Top ]

### method _getFromZipArchive [line 418]

`void _getFromZipArchive( ZipArchive $archive, [ $fileName = ''])`

#### Tags:

access: | public

#### Parameters:

ZipArchive | $archive |
| $fileName |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:13 +0200 by phpDocumentor 1.4.4